## org.apache.bcel.classfile
Class ConstantUtf8

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantUtf8

All Implemented Interfaces:
  java.lang.Cloneable, Node, java.io.Serializable

public final class ConstantUtf8
extends Constant

This class is derived from the abstract Constant class and represents a reference to a Utf8 encoded string.

Version:
  $Id: ConstantUtf8.java,v 1.3 2002/12/08 16:04:37 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantUtf8(ConstantUtf8 c)` Initialize from another object.
`ConstantUtf8(java.lang.String bytes)`

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` `dump(java.io.DataOutputStream file)` Dump String in Utf8 format to file stream.
`java.lang.String` `getBytes()`
`void` `setBytes(java.lang.String bytes)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantUtf8

    public ConstantUtf8(ConstantUtf8 c)

  Initialize from another object.

### ConstantUtf8

    public ConstantUtf8(java.lang.String bytes)

Parameters:
  `bytes` - Data

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump String in Utf8 format to file stream.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### getBytes

    public final java.lang.String getBytes()

  Returns:
    Data converted to string.

### setBytes

    public final void setBytes(java.lang.String bytes)

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.